Package com.google.android.exoplayer2

## Class Player.DefaultEventListener

- java.lang.Object
- - com.google.android.exoplayer2.Player.DefaultEventListener

- All Implemented Interfaces:
    `Player.EventListener`
  Enclosing interface:
    Player

      @Deprecated
      public abstract static class Player.DefaultEventListener
      extends Object
      implements Player.EventListener

  Deprecated.
  Use `Player.EventListener` interface directly for selective overrides as all methods are implemented as no-op default methods.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultEventListener()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onTimelineChanged​(Timeline timeline, int reason)` | Deprecated. Called when the timeline has been refreshed.
    `void` | `onTimelineChanged​(Timeline timeline, Object manifest, int reason)` | Deprecated. Called when the timeline and/or manifest has been refreshed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.Player.EventListener

      `onEvents, onExperimentalOffloadSchedulingEnabledChanged, onExperimentalSleepingForOffloadChanged, onIsLoadingChanged, onIsPlayingChanged, onLoadingChanged, onMediaItemTransition, onPlaybackParametersChanged, onPlaybackStateChanged, onPlaybackSuppressionReasonChanged, onPlayerError, onPlayerStateChanged, onPlayWhenReadyChanged, onPositionDiscontinuity, onRepeatModeChanged, onSeekProcessed, onShuffleModeEnabledChanged, onStaticMetadataChanged, onTracksChanged`

- - ### Constructor Detail

    - #### DefaultEventListener

          public DefaultEventListener()

      Deprecated.

  - ### Method Detail

    - #### onTimelineChanged

          public void onTimelineChanged​(Timeline timeline,
                                        @TimelineChangeReason
                                        int reason)

      Deprecated.
      Description copied from interface: `Player.EventListener`
      Called when the timeline has been refreshed.

      Note that if the timeline has changed then a position discontinuity may also have occurred. For example, the current period index may have changed as a result of periods being added or removed from the timeline. This will not be reported via a separate call to `Player.EventListener.onPositionDiscontinuity(int)`.

      `Player.EventListener.onEvents(Player, Events)` will also be called to report this event along with other events that happen in the same `Looper` message queue iteration.

      Specified by:
        `onTimelineChanged` in interface `Player.EventListener`
      Parameters:
        `timeline` - The latest timeline. Never null, but may be empty.
        `reason` - The `Player.TimelineChangeReason` responsible for this timeline change.

    - #### onTimelineChanged

          public void onTimelineChanged​(Timeline timeline,
                                        @Nullable
                                        Object manifest,
                                        @TimelineChangeReason
                                        int reason)

      Deprecated.
      Description copied from interface: `Player.EventListener`
      Called when the timeline and/or manifest has been refreshed.

      Note that if the timeline has changed then a position discontinuity may also have occurred. For example, the current period index may have changed as a result of periods being added or removed from the timeline. This will not be reported via a separate call to `Player.EventListener.onPositionDiscontinuity(int)`.

      Specified by:
        `onTimelineChanged` in interface `Player.EventListener`
      Parameters:
        `timeline` - The latest timeline. Never null, but may be empty.
        `manifest` - The latest manifest in case the timeline has a single window only. Always null if the timeline has more than a single window.
        `reason` - The `Player.TimelineChangeReason` responsible for this timeline change.